;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Use "," as leader.
(setq doom-localleader-key ",")

;; Firacode is broken with Emacs-plus on osx. Fallback to Hasklig.
(if IS-MAC
  (setq doom-font (font-spec :family "Hasklig" :size 12))
  (setq doom-font (font-spec :family "FiraCode Nerd Font" :size 12))
  )
;;
;; Set font
(pcase (system-name)
  ("zuk"
   ;; Wayland support for high HDPI scaling has some issues.
   ;; Increasing the font size is a working stopgap.
   (font-put doom-font :size 15))
)

;; Use an image splash
(setq fancy-splash-image (concat doom-private-dir "doom.png"))

(load! "+mail")
(load! "+org")
